Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Data Fields
Lucene::IndexStatus Class Reference

Returned from checkIndex() detailing the health and status of the index. More...

`#include <CheckIndex.h>`

Inheritance diagram for Lucene::IndexStatus:

## Public Member Functions

| IndexStatus ()
virtual | ~IndexStatus ()
virtual String | getClassName ()
boost::shared_ptr< IndexStatus > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

bool | clean
| True if no problems were found with the index. More...
bool | missingSegments
| True if we were unable to locate and load the segments_N file. More...
bool | cantOpenSegments
| True if we were unable to open the segments_N file. More...
bool | missingSegmentVersion
| True if we were unable to read the version number from segments_N file. More...
String | segmentsFileName
| Name of latest segments_N file in the index. More...
int32_t | numSegments
| Number of segments in the index. More...
String | segmentFormat
| String description of the version of the index. More...
Collection< String > | segmentsChecked
| Empty unless you passed specific segments list to check as optional 3rd argument. More...
bool | toolOutOfDate
| True if the index was created with a newer version of Lucene than the CheckIndex tool. More...
Collection< SegmentInfoStatusPtr > | segmentInfos
| List of SegmentInfoStatus instances, detailing status of each segment. More...
DirectoryPtr | dir
| Directory index is in. More...
SegmentInfosPtr | newSegments
| SegmentInfos instance containing only segments that had no problems (this is used with the CheckIndex#fixIndex method to repair the index. More...
int32_t | totLoseDocCount
| How many documents will be lost to bad segments. More...
int32_t | numBadSegments
| How many bad segments were found. More...
bool | partial
| True if we checked only specific segments (checkIndex(List)) was called with non-null argument). More...
MapStringString | userData
| Holds the userData of the last commit in the index. More...

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Returned from checkIndex() detailing the health and status of the index.

## Constructor & Destructor Documentation

Lucene::IndexStatus::IndexStatus | ( |  | ) |

virtual Lucene::IndexStatus::~IndexStatus | ( |  | ) |

virtual

## Member Function Documentation

static String Lucene::IndexStatus::_getClassName | ( |  | ) |

inline static

virtual String Lucene::IndexStatus::getClassName | ( |  | ) |

inline virtual

boost::shared_ptr< IndexStatus > Lucene::IndexStatus::shared_from_this | ( |  | ) |

inline

## Field Documentation

bool Lucene::IndexStatus::cantOpenSegments

True if we were unable to open the segments_N file.

bool Lucene::IndexStatus::clean

True if no problems were found with the index.

DirectoryPtr Lucene::IndexStatus::dir

Directory index is in.

bool Lucene::IndexStatus::missingSegments

True if we were unable to locate and load the segments_N file.

bool Lucene::IndexStatus::missingSegmentVersion

True if we were unable to read the version number from segments_N file.

SegmentInfosPtr Lucene::IndexStatus::newSegments

SegmentInfos instance containing only segments that had no problems (this is used with the CheckIndex#fixIndex method to repair the index.

int32_t Lucene::IndexStatus::numBadSegments

How many bad segments were found.

int32_t Lucene::IndexStatus::numSegments

Number of segments in the index.

bool Lucene::IndexStatus::partial

True if we checked only specific segments (checkIndex(List)) was called with non-null argument).

String Lucene::IndexStatus::segmentFormat

String description of the version of the index.

Collection<SegmentInfoStatusPtr> Lucene::IndexStatus::segmentInfos

List of SegmentInfoStatus instances, detailing status of each segment.

Collection<String> Lucene::IndexStatus::segmentsChecked

Empty unless you passed specific segments list to check as optional 3rd argument.

See also
  CheckIndex::checkIndex(List)

String Lucene::IndexStatus::segmentsFileName

Name of latest segments_N file in the index.

bool Lucene::IndexStatus::toolOutOfDate

True if the index was created with a newer version of Lucene than the CheckIndex tool.

int32_t Lucene::IndexStatus::totLoseDocCount

How many documents will be lost to bad segments.

MapStringString Lucene::IndexStatus::userData

Holds the userData of the last commit in the index.

The documentation for this class was generated from the following file:

- CheckIndex.h

clucene.sourceforge.net